AbstractAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class AbstractAttributeBinding

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractAttributeBinding

All Implemented Interfaces:
  AttributeBinding

Direct Known Subclasses:
  AbstractPluralAttributeBinding, AbstractSingularAttributeBinding

    public abstract class AbstractAttributeBinding

extends Object
implements AttributeBinding

Basic support for `AttributeBinding` implementors

Constructor Summary
`protected` | `AbstractAttributeBinding(AttributeBindingContainer container, Attribute attribute)`

Method Summary
`void` | `addEntityReferencingAttributeBinding(SingularAssociationAttributeBinding referencingAttributeBinding)`
`Attribute` | `getAttribute()` Obtain the attribute bound.
`AttributeBindingContainer` | `getContainer()` Obtain the entity binding to which this attribute binding exists.
`Set<SingularAssociationAttributeBinding>` | `getEntityReferencingAttributeBindings()`
`HibernateTypeDescriptor` | `getHibernateTypeDescriptor()` Obtain the descriptor for the Hibernate `Type` for this binding.
`MetaAttributeContext` | `getMetaAttributeContext()` Obtain the meta attributes associated with this binding
`String` | `getPropertyAccessorName()`
`boolean` | `isAlternateUniqueKey()`
`boolean` | `isBasicPropertyAccessor()`
`boolean` | `isIncludedInOptimisticLocking()`
`boolean` | `isLazy()`
`void` | `setAlternateUniqueKey(boolean alternateUniqueKey)`
`void` | `setIncludedInOptimisticLocking(boolean includedInOptimisticLocking)`
`void` | `setLazy(boolean isLazy)`
`void` | `setMetaAttributeContext(MetaAttributeContext metaAttributeContext)`
`void` | `setPropertyAccessorName(String propertyAccessorName)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`isAssociation`

Constructor Detail

### AbstractAttributeBinding

    protected AbstractAttributeBinding(AttributeBindingContainer container,
                                       Attribute attribute)

Method Detail

### getContainer

    public AttributeBindingContainer getContainer()

  Description copied from interface: `AttributeBinding`
  Obtain the entity binding to which this attribute binding exists.

  Specified by:
    `getContainer` in interface `AttributeBinding`
  Returns:
    The entity binding.

### getAttribute

    public Attribute getAttribute()

  Description copied from interface: `AttributeBinding`
  Obtain the attribute bound.

  Specified by:
    `getAttribute` in interface `AttributeBinding`
  Returns:
    The attribute.

### getHibernateTypeDescriptor

    public HibernateTypeDescriptor getHibernateTypeDescriptor()

  Description copied from interface: `AttributeBinding`
  Obtain the descriptor for the Hibernate `Type` for this binding.

  For information about the Java type, query the `Attribute` obtained from `AttributeBinding.getAttribute()` instead.

  Specified by:
    `getHibernateTypeDescriptor` in interface `AttributeBinding`
  Returns:
    The type descriptor

### isBasicPropertyAccessor

    public boolean isBasicPropertyAccessor()

  Specified by:
    `isBasicPropertyAccessor` in interface `AttributeBinding`

### getPropertyAccessorName

    public String getPropertyAccessorName()

  Specified by:
    `getPropertyAccessorName` in interface `AttributeBinding`

### setPropertyAccessorName

    public void setPropertyAccessorName(String propertyAccessorName)

  Specified by:
    `setPropertyAccessorName` in interface `AttributeBinding`

### isIncludedInOptimisticLocking

    public boolean isIncludedInOptimisticLocking()

  Specified by:
    `isIncludedInOptimisticLocking` in interface `AttributeBinding`

### setIncludedInOptimisticLocking

    public void setIncludedInOptimisticLocking(boolean includedInOptimisticLocking)

  Specified by:
    `setIncludedInOptimisticLocking` in interface `AttributeBinding`

### getMetaAttributeContext

    public MetaAttributeContext getMetaAttributeContext()

  Description copied from interface: `AttributeBinding`
  Obtain the meta attributes associated with this binding

  Specified by:
    `getMetaAttributeContext` in interface `AttributeBinding`
  Returns:
    The meta attributes

### setMetaAttributeContext

    public void setMetaAttributeContext(MetaAttributeContext metaAttributeContext)

### isAlternateUniqueKey

    public boolean isAlternateUniqueKey()

  Specified by:
    `isAlternateUniqueKey` in interface `AttributeBinding`

### setAlternateUniqueKey

    public void setAlternateUniqueKey(boolean alternateUniqueKey)

### isLazy

    public boolean isLazy()

  Specified by:
    `isLazy` in interface `AttributeBinding`

### setLazy

    public void setLazy(boolean isLazy)

### addEntityReferencingAttributeBinding

    public void addEntityReferencingAttributeBinding(SingularAssociationAttributeBinding referencingAttributeBinding)

  Specified by:
    `addEntityReferencingAttributeBinding` in interface `AttributeBinding`

### getEntityReferencingAttributeBindings

    public Set<SingularAssociationAttributeBinding> getEntityReferencingAttributeBindings()

  Specified by:
    `getEntityReferencingAttributeBindings` in interface `AttributeBinding`

### validate

    public void validate()

  Specified by:
    `validate` in interface `AttributeBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.